# OMNeT++ API Reference

### 3.3

If you are new to OMNeT++, a good starting point for browsing the documentation is cSimpleModule. Otherwise, pick one of the following categories, or choose from the links at the top of this page:

- Simulation core classes
- Container classes
- Random number generation
- Statistical data collection
- Utility classes
- User interface: cEnvir and ev
- Enums, types, function typedefs
- Functions
- Macros
- Internal classes
- Extension interface to Envir
- Parallel simulation extension

If you have used the OMNeT++ before:

- API Changes